"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theme = require("../../constant/theme");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Text = _ref => {
  let {
    text,
    size,
    variant,
    textStyle,
    children,
    color,
    ...props
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
    style: [{
      color: color
    }, _theme.Fonts[size], _theme.Fonts[variant], textStyle]
  }), text, children);
};

Text.propTypes = {
  children: _propTypes.default.node,
  text: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
  size: _propTypes.default.oneOf(_theme.defaultSize),
  variant: _propTypes.default.oneOf(_theme.defaultVariant),
  color: _propTypes.default.string,
  textStyle: _propTypes.default.oneOfType([_propTypes.default.object, _propTypes.default.array])
};
Text.defaultProps = {
  size: 'medium',
  variant: 'regular',
  textStyle: {},
  children: null,
  color: _theme.colors.grey.black,
  text: ''
};
var _default = Text;
exports.default = _default;
//# sourceMappingURL=Text.js.map