function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import propTypes from 'prop-types';
import React from 'react';
import { Text as RNText } from 'react-native';
import { colors, defaultSize, defaultVariant, Fonts } from '../../constant/theme';

const Text = _ref => {
  let {
    text,
    size,
    variant,
    textStyle,
    children,
    color,
    ...props
  } = _ref;
  return /*#__PURE__*/React.createElement(RNText, _extends({}, props, {
    style: [{
      color: color
    }, Fonts[size], Fonts[variant], textStyle]
  }), text, children);
};

Text.propTypes = {
  children: propTypes.node,
  text: propTypes.oneOfType([propTypes.string, propTypes.number]),
  size: propTypes.oneOf(defaultSize),
  variant: propTypes.oneOf(defaultVariant),
  color: propTypes.string,
  textStyle: propTypes.oneOfType([propTypes.object, propTypes.array])
};
Text.defaultProps = {
  size: 'medium',
  variant: 'regular',
  textStyle: {},
  children: null,
  color: colors.grey.black,
  text: ''
};
export default Text;
//# sourceMappingURL=Text.js.map